Subject: Re: LOC

From: Mark Andrews <[email-masked]>
Date: Fri, 06 Oct 2006 07:34:39 +1000

> 
> > What about earth orbit?  Doesn't the ISS have internet?
> > 
> > What about Mars rovers? Other future spacecraft?
> > 
> > What's the point of saving a few bits, or making undecoded hex readable 
> > to the eye?
> > 
> > 		--Dean
> 
> 	What's the point about arguing about the range and wire format
> 	years after it has been defined?
> 
> 	Rehashing old arguements is not productive.
> 
> 	All I'm after is clarification of what should be legally/sensibly
> 	there using that format.
> 
> 	People are starting to write DNS comformance test suites and they
> 	are asking vendors (not just ISC has been asked about LOC) about
> 	the corner cases some of which there are no clear answers for.

	e.g.
		what is the binary representation of 0 and 0.0,

> > On Thu, 5 Oct 2006, Mark Andrews wrote:
> > 
> > > SIZE         The diameter of a sphere enclosing the described entity, in
> > >              centimeters, expressed as a pair of four-bit unsigned
> > >              integers, each ranging from zero to nine, with the most
> > >              significant four bits representing the base and the second
> > >              number representing the power of ten by which to multiply
> > >              the base.  This allows sizes from 0e0 (<1cm) to 9e9
> > >              (90,000km) to be expressed.  This representation was chosen
> > >              such that the hexadecimal representation can be read by
> > >              eye; 0x15 = 1e5.  Four-bit values greater than 9 are
> > >              undefined, as are values with a base of zero and a non-zero
> > >              exponent.
> > > 
> > >              Since 20000000m (represented by the value 0x29) is greater
> > >              than the equatorial diameter of the WGS 84 ellipsoid
> > >              (12756274m), it is therefore suitable for use as a
> > >              "worldwide" size.
> > > 
> > > 	Do values 0 to a base other than 0 make any sense?
> > > 
> > > 
> > 
> > -- 
> > Av8 Internet   Prepared to pay a premium for better service?
> > www.av8.net         faster, more reliable, better service
> > 617 344 9000   
> > 
> > 
> > 
> > --
> > to unsubscribe send a message to [email-masked] with
> > the word 'unsubscribe' in a single line as the message text body.
> > archive: <http://ops.ietf.org/lists/namedroppers/>
> --
> ISC Training!  October 16-20, 2006, in the San Francisco Bay Area,
> covering topics from DNS to DHCP.  Email [email-masked].
> -- 
> Mark Andrews, ISC
> 1 Seymour St., Dundas Valley, NSW 2117, Australia
> PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
--
ISC Training!  October 16-20, 2006, in the San Francisco Bay Area,
covering topics from DNS to DHCP.  Email [email-masked].
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>